# Patch Organization Webhook

Patches the `Webhook` object matching `{webhookId}`. For more information on
Organizations and Webhooks, refer to our
[Synqly Overview](https://docs.synqly.com/docs/synqly-overview).
**Operation ID:** `organizationWebhooks_patch`

Endpoint: PATCH /v1/organization/webhooks/{webhookId}
Security: BearerAuth

## Security:

  - `BearerAuth` (unknown)
    http bearer

## Path parameters:

  - `webhookId` (any, required)

## Request fields (application/json):

  - `op` (string, required)
    Enum: "add", "copy", "move", "remove", "replace", "test"

  - `path` (string, required)
    The path to the field to update. The path is a JSON Pointer.

  - `from` (string)
    The path to the field to copy from. This is required for `copy` and `move` operations.

  - `value` (any)
    The value to set the field to. This is required for `add`, `replace` and `test` operations.

## Response 200 fields (application/json):

  - `result` (object, required)

  - `result.name` (string, required)
    Human-readable name for this resource

  - `result.created_at` (string, required)
    Time object was originally created

  - `result.updated_at` (string, required)
    Last time object was updated

## Response 400 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 401 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 402 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 403 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 404 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 405 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 409 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 415 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 429 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

## Response 500 fields (application/json):

  - `message` (string, required)
    A short, display-friendly summary of the problem.

  - `detail` (string)
    A display-friendly and more detailed explanation of the problem. It may offer additional contextual detail, but may also be just a generic description of the problem.

  - `remediation` (string)
    A display-friendly explanation for how to remediate the problem. This field may be omitted in case there are multiple problems, each with its own remediation, or if no remediation is possible.

  - `context` (object)

  - `context.parameter` (object)

  - `context.parameter.id` (string, required)
    If the `location` of the parameter is `body`, this value is always a JSON Pointer, otherwise it's the name of the parameter.

  - `context.parameter.location` (string, required)
    Enum: "header", "path", "query", "body"

  - `context.parameter.value` (any)
    The given value of the parameter.

  - `context.resources` (array)

  - `context.resources.type` (string, required)
    Enum: "account", "bridge", "credential", "integration_point", "integration", "member", "operation", "organization_webhook", "role", "sub_org", "token", "transform"

  - `context.resources.id` (string, required)
    ID of the related resource.

  - `context.resources.rel` (string, required)
    Enum: "affected", "cause"

  - `context.raw_error` (string)
    If available this represents the underlying raw error, for example an error response from a Provider.

  - `context.provider_details` (object)
    If available this represents the underlying details from the provider. May include the error message, status code, and other details.

